<?php
include_once "base/lista.class.php";
include_once "include/images.class.php";
class listai extends lista{
	
	
    function toolbars(){
                
        $toolbar= new toolbar(); 
		$toolbar->botao("Novo");
		//$toolbar->botao2("Mover");
		//$toolbar->botao2("Copiar");
		//$toolbar->botao2("Apagar");
		$toolbar->ini();
		$toolbar->nav($this->req['offset'], $this->req['limit'], $this->req['total']);
		$toolbar->ini();
		//$toolbar->filtro($this->tipo, $this->idCat, "titulo");
		$toolbar->categoria("imagem", "categoria", $this->req['idCat']);
		$toolbar->procurar($this->req['procurar']);   //mudar para campo
		$toolbar->botao("procurar", 90);
		
		
		
		$toolbar->fim();

    }	

	function tabela($setas=false, $caixas=true){
            $max= sizeof($this->dados);
			$i=0;
			
			foreach($this->dados as $t){
    			$linkId='?id=' . $t["id"];
                $linkEditar='<a href='. $linkId . "&cmd=editar";
                //$linkApagar='<a href="void(null)"';
				$linkApagar='<a href='. $linkId . "&cmd=apagar";
                $linkAcima='<a href='. $linkId . "&cmd=acima";
                $linkAbaixo='<a href='. $linkId . "&cmd=abaixo";
                $linha=($i % 2)?"1":"0";
                echo '<tr class="linha' . $linha . '">';
        
                
                foreach ($t as $l=>$c){
    			 	if ($l=="imagem"){
    			 		//testar se ja existe
    			 		$size=getimagesize("../".$c);
						$largura=$size[0];
						$altura=$size[1];
						$image_name="../". dirname($c) ."/thumb/". basename($c);
    			 		//print "$image_name<br>";
    			 		if (!(file_exists($image_name))){
    			 			//print "Nao encontrou";
    			 			$img=new image();
    			 			$thumb=$img->thumbnail2("../" . $c,$image_name, 100,100);
    			 		} else 
							$thumb=$image_name;
							
						echo "<td>" .$linkEditar . "><img src='$thumb?rand=$rand' border=0 align='left'>
						Dimensões:<br>".$largura." x ".$altura."</a></td>";
    			 	} else {
						echo "<td>" .$linkEditar . ">$c</a></td>";
    			 	}
    			}
				 
				print '<td height="20" width=100 align="left">';
				if ($caixas) print '<input type="checkbox" name="linhasMarcadas[]" value="'.$t["id"].'" />&nbsp';
				print $linkApagar . ' onclick="return delchk()">
				<img src="images/apagar20.gif" alt="apagar" border=0 /></a>';
				
                if ($setas){
					if ($i>0) 
						print $linkAcima .'><img src="images/acima.gif" alt="acima" border=0 /></a>';
					else 
						print '<img src="images/spacer.gif" width="16" alt="apagar" border=0 />'; 
					if ($i<$max-1) print $linkAbaixo .'><img src="images/abaixo.gif" alt="abaixo" border=0 /></a>';
				}

                echo "</td></tr>\n";        
				$i++;
    		}

    }
	
	function layer1(){
	    $f= new formElemento; 
		$db=new dbElemento;      
        ?><div id="Layer1"><div id="Label1" class="mybg"></div><table><?
		$dadosSel=$db->getListaCategorias("imagemCategoria", array("Id"=>"id", "Categoria"=>"categoria") );
		foreach($dadosSel as $l=>$v)$dados[$l]=$v;
		
		$f->campoSeleccao("Categoria", "newIdCat", $dados);
		$f->botoesLayer();
		?></table></div><?
	}


}
?>
